Bug 491253 - SELinux is preventing chown (mysqld_safe_t) "setattr" to ./mysqld.log (mysqld_log_t), and mysqld_safe (mysqld_safe_t) "search" to ./lib (var_lib_t)
SELinux is preventing chown (mysqld_safe_t) "setattr" to ./mysqld.log (mysqld...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 23:39 EDT by David Harte
Modified: 2010-04-27 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 09:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Description of problem given in "setroubleshoot browser" (SELinux) (5.61 KB, text/plain)
2009-03-19 23:39 EDT, David Harte
no flags Details
AVC 1 (2.67 KB, text/plain)
2009-11-17 03:19 EST, Runwalsoft
no flags Details
This second AVC Message (2.56 KB, text/plain)
2009-11-17 03:20 EST, Runwalsoft
no flags Details
AVC 2 (2.38 KB, text/plain)
2009-11-17 03:21 EST, Runwalsoft
no flags Details
AVC 3 (2.86 KB, text/plain)
2009-11-17 03:22 EST, Runwalsoft
no flags Details

  None (edit)
Description David Harte 2009-03-19 23:39:44 EDT
Created attachment 335953 [details]
Description of problem given in "setroubleshoot browser" (SELinux)

Description of problem:
When I manually start mysqld, the setroubleshoot browser (SELinux) reports the two problems given in the Summary above.

Version-Release number of selected component (if applicable):
selinux-policy-devel-3.3.1-126.fc9.noarch
selinux-policy-3.3.1-126.fc9.noarch
selinux-policy-targeted-3.3.1-126.fc9.noarch
mysql-5.0.51a-1.fc9.i386
mysql-server-5.0.51a-1.fc9.i386

How reproducible:
every time

Steps to Reproduce:
service mysqld start
The same occurs if done from the menu: System -> Administration -> Services

Actual results:
Apart from these restrictions, mysqld appears to run as normal.

Additional info:
Problem started about three updates back on selinux. Prior to that there were no problems. Initially (when the problem started), selinux complained when either httpd or mysqld were started or stopped, now only when mysqld is started.
Comment 1 Miroslav Grepl 2009-03-20 08:43:53 EDT
Fixed in selinux-policy-3.3.1-128.fc9
Comment 2 Daniel Walsh 2009-03-20 13:27:06 EDT
Miroslav make sure you put this fix in F10,  I added a fix for F11 also.
Comment 3 Bug Zapper 2009-06-09 23:37:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Runwalsoft 2009-11-16 02:27:22 EST
In fedora 11 this problem still exist.
Comment 5 Daniel Walsh 2009-11-16 10:34:57 EST
Runwalsoft, please attach the AVC you are seeing?
Comment 6 Bug Zapper 2009-11-16 10:39:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Runwalsoft 2009-11-17 03:19:24 EST
Created attachment 369840 [details]
AVC 1

These are 4 different AVC message comes on Fedora 11. Please note that I have updated everything till the date.
Comment 8 Runwalsoft 2009-11-17 03:20:22 EST
Created attachment 369841 [details]
This second AVC Message
Comment 9 Runwalsoft 2009-11-17 03:21:50 EST
Created attachment 369842 [details]
AVC 2
Comment 10 Runwalsoft 2009-11-17 03:22:27 EST
Created attachment 369843 [details]
AVC 3
Comment 11 Runwalsoft 2009-11-17 03:26:57 EST
Hello Bug Zapper, I didn't get you what you have written. You mean whether this will not fixed or it will fixed in coming day ? or Is their any way to suppress this error ?
Comment 12 Daniel Walsh 2009-11-17 08:32:20 EST
You can add these rules for now using audit2allow

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Miroslav looks like it needs

kernel_read_kernel_sysctls(mysqld_safe_t) 

domain_read_all_domains_state(mysqld_safe_t)

Which I have added to Rawhide and F12.
Comment 13 Miroslav Grepl 2009-11-18 06:38:30 EST
(In reply to comment #12)

> Miroslav looks like it needs
> 
> kernel_read_kernel_sysctls(mysqld_safe_t) 

I will add it.

> domain_read_all_domains_state(mysqld_safe_t)

Added to selinux-policy-3.6.12-88.fc11.noarch

> Which I have added to Rawhide and F12.
Comment 14 Miroslav Grepl 2009-11-19 06:12:50 EST
Fixed in selinux-policy-3.6.12-90.fc11
Comment 16 Runwalsoft 2009-12-17 00:01:02 EST
Now I changed to fedora 12. Looks like this is fixed in F12.
Comment 17 Bug Zapper 2010-04-27 09:16:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.